Bug 982135 - Inconsistent messages shows when create app without domains
Inconsistent messages shows when create app without domains
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Linux
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 04:51 EDT by Lei Zhang
Modified: 2015-05-14 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:22:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-07-08 04:51:13 EDT
Description of problem:
Given no namespace has been added, create app directly, messages shows "...or leave it blank and use 'rhc create-domain' to create a
namespace later...", when leave it black and enter, "Namespace is required and cannot be blank" warning info shows. User has no ways to "leave it blank and create a namespace later". 

Version-Release number of selected component (if applicable):
devenv_3456
rhc 1.11.2

How reproducible:
always

Steps to Reproduce:
1. rhc app create -a testapp -t php-5.3
2. "Please enter a namespace (letters and numbers only): " shows and then leave it blank and enter
3.

Actual results:
Messages "...or leave it blank and use 'rhc create-domain' to create a namespace later..." is inconsistent. 

Expected results:
Messages should not be inconsistent.

Additional info:

[rayzhang@rayzhang Work]$ rhc app create -a testapp -t php-5.3 
Checking your namespace ... none
Your namespace is unique to your account and is the suffix of the public URLs we assign to your applications. You may configure your namespace here or leave it blank and use 'rhc create-domain' to create a namespace later.  You will not be able to create applications without first creating a namespace.

Please enter a namespace (letters and numbers only): 
Namespace is required and cannot be blank.
Please enter a namespace (letters and numbers only): 
Namespace is required and cannot be blank.
Please enter a namespace (letters and numbers only): 
Namespace is required and cannot be blank.
Comment 1 Clayton Coleman 2013-07-09 01:00:31 EDT
Fixed in https://github.com/openshift/rhc/pull/423
Comment 2 openshift-github-bot 2013-07-09 12:03:40 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/24bc69b65e194c34d56167160c3ce5ba828dbf77
Bug 982135 - Namespace optional should affect the message displayed
Comment 3 Lei Zhang 2013-07-10 03:28:37 EDT
Verified on devenv_3471, the bug has been fixed successfully, so move it to verified

[rayzhang@rayzhang Work]$ rhc setup 
OpenShift Client Tools (RHC) Setup Wizard

This wizard will help you upload your SSH keys, set your application namespace, and check that other programs like Git are
properly installed.

Using an existing token for lzhang@redhat.com to login to ec2-50-19-33-4.compute-1.amazonaws.com

Saving configuration to /home/rayzhang/.openshift/express.conf ... done

Checking for git ... found git version 1.7.1

Checking common problems .. done

Checking your namespace ... none

Your namespace is unique to your account and is the suffix of the public URLs we assign to your applications. You may
configure your namespace here or leave it blank and use 'rhc create-domain' to create a namespace later. You will not be
able to create applications without first creating a namespace.

Please enter a namespace (letters and numbers only) |<none>|: 




[rayzhang@rayzhang Work]$ rhc  app create -a testapp -t php-5.3
Checking your namespace ... none

Your namespace is unique to your account and is the suffix of the public URLs we assign to your applications. You will not
be able to create applications without first creating a namespace.

Please enter a namespace (letters and numbers only): 
Namespace is required and cannot be blank.

Note You need to log in before you can comment on or make changes to this bug.